<?php
/**
* Color Settings.
* @package Solar Energy Engine
*/

$solar_energy_engine_default = solar_energy_engine_get_default_theme_options();

$wp_customize->add_setting( 'solar_energy_engine_default_text_color',
    array(
    'default'           => $solar_energy_engine_default['solar_energy_engine_default_text_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'solar_energy_engine_default_text_color',
    array(
        'label'      => esc_html__( 'Text Color', 'solar-energy-engine' ),
        'section'    => 'colors',
        'settings'   => 'solar_energy_engine_default_text_color',
    ) ) 
);

$wp_customize->add_setting( 'solar_energy_engine_border_color',
    array(
    'default'           => $solar_energy_engine_default['solar_energy_engine_border_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'solar_energy_engine_border_color',
    array(
        'label'      => esc_html__( 'Border Color', 'solar-energy-engine' ),
        'section'    => 'colors',
        'settings'   => 'solar_energy_engine_border_color',
    ) ) 
);